/*
 *  buzzer.c
 *
 *  v 0.0 2021.5.31
 *    enable buzzer for LP-2841/9x81(i.MX8).
 */

#include <stdio.h>

#include "msw.h"
#include "armplat.h"
//#include "am335x.h"
 
int main(int argc, char *argv[])
{
	unsigned int pac_id = 1;
	int result = 0;

	result = linpac_read_pacid(&pac_id);

	if(result)
	{
		printf("pacid(%d) : LinPAC ID read error!\n",result);
		return FAILURE;
	}

	if(pac_id == LP9X81)
		lp9x81_buzzer(100);	//100ms 
	else
		lp2841_buzzer(100);	//100ms 
 
	return 0;
}
